=== debian/changelog ===
cairo-dock-plug-ins (2.3.0~1-0ubuntu1) natty; urgency=low

  * New Upstream Version (LP: #723995)
  * Upstream short ChangeLog (since 2.3.0~0rc1):
   - Updated translations
   - Updated the integration of the new versions of kwin and compiz
      (Switcher, ShowDesktop, etc.)
   - Removed a lot of useless g_print
   - Updated a few plug-ins to fit with the new version of the API (gldit)
   - Fixed a few bugs
   - Updated MeMenu, MessagingMenu and Status-Notifier to works
      with the latest version of dbusmenu, etc.
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/cairo-dock-plug-ins.install:
   - Added new files (interfaces for python, ruby, vala and mono)
  * debian/control:
   - Added new dependences for new applets (sensors and zeitgeist)
      and new interfaces (python, valac, ruby and mono)
   - Updated the version of cairo-dock build-dependences
  * debian/rules:
   - Added a new CMake flag to install python interface in debian/tmp
  * Updated debian/watch

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 20 Apr 2011 20:46:51 +0200

cairo-dock-plug-ins (2.2.0~4-0ubuntu4) natty; urgency=low

  * debian/control:
    - Build-Depend on libwebkitgtk-dev instead of libwebkit-dev (LP: #704032)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 22 Jan 2011 01:35:50 +0200

cairo-dock-plug-ins (2.2.0~4-0ubuntu3) natty; urgency=low

  * No change rebuild for libindicator1 > libindicator2 transition

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 14 Jan 2011 17:32:25 -0600

cairo-dock-plug-ins (2.2.0~4-0ubuntu2) natty; urgency=low

  * No change rebuild for libdbusmenu-gtk1 > libdbusmenu-gtk2 transition

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 19 Dec 2010 10:43:52 +0530

cairo-dock-plug-ins (2.2.0~4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #653702)
  * Fixed a few bugs:
   - All .mo files aren't installed into the right directory (LP: #653336)
   - Dbus: Fixed a crash when exiting Cairo-Dock
   - Indicator: Some modifications needed for the latest
                 version of libindicator
   - RSSreader: Prevented a crash if myDrawContext != NULL
   - Clock: Prevented a crash if myDrawContext != NULL
   - Switcher:
    - Prevented a crash if myDrawContext != NULL
    - Fixed a crash if the plugin is launched much time before the WM
   - musicPlayer:
    - Used the right image set from the config panel
    - MPRIS plugin: fixed a bug with the tracknumber
   - Systray: not drawn outside the screen.
   - tomboy: not popup a dialogue inside the screen
   - xfce-integration: displayed a window when logout applet is launched
  * debian/control:
   - Updated the version of cairo-dock-dev and cairo-dock-core

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 02 Oct 2010 20:10:47 +0200

cairo-dock-plug-ins (2.2.0~2-0ubuntu1) maverick; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version (LP: #638529)
  * Fixed a few bugs on LP:
   - Fixed a crash in rainbow view when the cone is completely opened
   - Fixed a crash in rainbow view if the subdock is empty
   - Installed in lib directory by default even in 64bits arch
   - Status-Notifier: fixed few bugs
   - Clock applet:
     - Notify of missed tasks (moved some functions to a new file)
     - Fixed a little memory leak
   - Removed some 'g_print' (LP: #500677: xsession-errors log)
  * Updated translations
  * debian/control
   - Updated the version of cairo-dock-dev and cairo-dock-core

  [ Didier Roche ]
  * debian/control: depends on latest libindicator-dev (LP: #637692)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 18 Sep 2010 14:20:27 +0200

cairo-dock-plug-ins (2.2.0~0rc1-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #632054)
  * Fixed a few bugs on LP:
   - LP: #616176 Dust Bin Hang and Incorrect Configuration
   - LP: #604034 Change terminal tab's name lost the color
   - LP: #582452 GMenu does not contain any applications
  * Fixed a few bugs on glx-dock forum:
   - Fixed support of GMusicBrowser.
   - AlsaMixer has no emblem.
   - Status-Notifier doesn't be drawed into the dock.
  * Updated translations
  * debian/control:
   - Added cairo-dock-core as build-depends in order to prevent
     some builds errors.

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 07 Sep 2010 02:38:17 +0200

cairo-dock-plug-ins (2.2.0~0beta4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #614625)
  * Fixed a few bugs on LP:
   - LP: #483963: Dustbin applet does not display trashes on all volumes
   - LP: #485159: Some apps have problem with Systray
   - LP: #500677: ~/.xsession-errors is too much used by CD
   - LP: #500979: Shortcuts: the order gets messed up
   - LP: #521531: Mail: crashes on Maildir
   - LP: #519915: GTG: create a new applet to control GTG
   - LP: #526138: GMenu doesn't handle desktop file exec strings properly
   - LP: #531317: CMake: Added an error if the prefix of 'cairo-dock-plugins'
                   is not the same 'cairo-dock-core'
   - LP: #531319: CMake: check the version of 'cairo-dock' when building
                   'cairo-dock-plugins'
   - LP: #537115: Click at the position where icon lavel was, the icon
                   and dock still receive the event
   - LP: #537943: Terminal applet shortkey behaviour
   - LP: #538637: Trash applet doesn't create .trashinfo files on XFCE
   - More details on the 'ChangeLog' file
  * debian/rules:
   - Autotools has been replaced by CMake
   - cdbs is now used.
  * debian/copyright:
   - Updated with the new applets
  * debian/control:
   - Autotools has been replaced by CMake
   - Added libcurl4-gnutls-dev, libindicator-dev, libdbusmenu-glib-dev
     libido-0.1-dev, libical-dev, libdbusmenu-gtk-dev as Build-deps
   - Bump Standard-Version to 3.9.1
   - Wget is required for dnd2share applet
   - Added the exact realease for 'cairo-dock-dev' in order to prevent any
      build error if this package is not already available (thx to didrocks)

