=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Julien Lavergne <julien.lavergne@gmail.com>, Matthew Walker <matthaeus123@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: 	cdbs,
		gawk, 
		libxxf86vm-dev,
		debhelper (>= 7.2.6), 
		cmake,
		libcairo2-dev (>= 1.8.0), 
		libgtk2.0-dev (>= 2.16), 
		librsvg2-dev (>= 2.22.0),
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libglib2.0-dev (>= 2.20),
		cairo-dock-dev (>= 2.3.0~0rc1),
		cairo-dock-core (>= 2.3.0~0rc1),
		cairo-dock-data (>= 2.3.0~0rc1),
		libasound2-dev,
		libvte-dev,
		x11proto-xf86vidmode-dev,
		libgnome-menu-dev,
		libgnomevfs2-dev,
		libgnomeui-dev,
		libthunar-vfs-1-dev,
		libgnome-keyring-dev,
		libgnutls-dev,
		libwebkitgtk-dev,
		libxklavier-dev,
		libexif-dev,
		libgtkglext1-dev,
		libgvfscommon-dev,
		libcurl4-gnutls-dev,
		libetpan-dev,
		libical-dev,
		libindicator-dev,
		libido-0.1-dev,
		libdbusmenu-gtk-dev,
		libdbusmenu-glib-dev,
		libsensors4-dev,
		libzeitgeist-dev,
		python,
		valac,
		ruby,
		mono-gmcs,
		libglib2.0-cil-dev,
		libndesk-dbus1.0-cil-dev,
		libndesk-dbus-glib1.0-cil-dev
Standards-Version: 3.9.1
Homepage: http://www.glx-dock.org/

Package: cairo-dock-plug-ins-integration
Section: graphics
Architecture: any
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
		cairo-dock-core (>= 2.0.8.0),
		${misc:Depends}
Description: Two plug-ins for cairo-dock for a better integration in GNOME or Xfce
 Cairo-dock-plug-ins is a set of plug-ins for Cairo-dock. It provides some new 
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains two plug-ins for a better integration in GNOME or Xfce.

Package: cairo-dock-plug-ins
Section: graphics
Architecture: any
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	cairo-dock-plug-ins-data (>= ${source:Version}),
		cairo-dock-plug-ins-integration (>= ${source:Version}),
		cairo-dock-core (>= 2.0.8.0),
		curl,
		wget,
		${shlibs:Depends}, 
		${misc:Depends}
Suggests:	compiz,
		gnote
Description: A set of plug-ins for cairo-dock
 Cairo-dock-plug-ins is a set of plug-ins for Cairo-dock. It provides some new 
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.

Package: cairo-dock-plug-ins-data
Section: graphics
Architecture: all
Conflicts: 	cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: 	cairo-dock-plug-ins (<= 2.0.8.0)
Depends: 	${misc:Depends}
Description: Common files for cairo-dock-plug-ins
 Cairo-dock-plug-ins is a set of plug-ins for Cairo-dock. It provides some new 
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains all images, locales and configuration files for 
 cairo-dock-plug-ins.
