## cairo-dock-plug-ins 2.3.0~2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ########### project ###############
 
 project ("cairo-dock-plugins")
-set (VERSION "2.3.0~1")
+set (VERSION "2.3.0~2")
 
 add_definitions (-std=c99 -Wstrict-prototypes -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) #-Wunreachable-code -Wno-unused-parameter -Wall
 if (NOT ${CMAKE_BUILD_TYPE})
@@ -212,12 +212,12 @@
 	message (STATUS "Could not find Mono compiler gmcs, won't build Mono interface.")
 	set (with_mono "no")
 else()
-	set (MONO_FOUND "TRUE")
 	pkg_check_modules (MONO_PACKAGE glib-sharp-2.0 ndesk-dbus-1.0 ndesk-dbus-glib-1.0)
 	if ("${MONO_PACKAGE_FOUND}" STREQUAL "")
 		message (STATUS "Could not find glib-sharp-2.0, ndesk-dbus-1.0 or ndesk-dbus-glib-1.0; won't be built Mono interface.")
 		set (with_mono "no")
 	else()
+		set (MONO_FOUND "TRUE")
 		set (with_mono "yes")
 	endif()
 endif()
