=== debian/changelog ===
cairo-dock-plug-ins (2.3.0~2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #786105)
  * Upstream ChangeLog:
   - Fixed a typo in CMakeLists.txt about Ruby interface
   - CMakeLists.txt: Added the status of applets (stable / unstable
      / unsupported) to help packagers to not include unstable or
      unsupported applets on Cairo-Dock packages for stable distributions
  * debian/patches:
   - Added two upstream's patches:
    + to avoid a crash of u1sdtool (dnd2share)
    + to prevent a crash with Weather (LP: #788437) 
  * debian/control:
   - Removed libgvfscommon-dev (not used and no longer available)

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 06 Jun 2011 12:09:47 +0200
