=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
 		libxklavier-dev,
 		libexif-dev,
 		libgtkglext1-dev,
-		libgvfscommon-dev,
 		libcurl4-gnutls-dev,
 		libetpan-dev,
 		libical-dev,
