=== GMenu/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/GMenu.conf
	preview.jpg
	icon.svg
	icon-recent.png
	DESTINATION ${gmenudatadir})
