=== keyboard-indicator/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/keyboard-indicator.conf
	preview.jpg
	icon.png
	DESTINATION ${keyboard_indicatordatadir})
