=== logout/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/logout.conf
	icon.svg
	icon-scheduling.png
	icon-lock.png
	emblem-reboot.png
	DESTINATION ${logoutdatadir})
